package com.dgtly.wxportal.domain;

import com.dgtly.system.domain.CustomerModelVO;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 信用信息通知实体
 */
@Data
public class SendOrderNoticeTaskModelCredit implements Serializable {
    /**
     * 经销商-订单个数
     */
    private Map<String,CustomerModelVO> customerMap = new HashMap<>();

    /**
     * 销售员-经销商
     */
    private Map<String,List<SendOrderNoticeTaskModelCustomer>> salesMap= new HashMap<>();

    /**
     * 销售分部主管-销售员
     *
     */
    private Map<String,Set<String>> subOfficeMap = new HashMap<>();

    /**
     * 销售主管 -销售分部主管
     */
    private Map<String,Set<String>> officeMap = new HashMap<>();
}
